models/Camiones.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "camiones".
 *
 * @property string $matricula
 * @property string|null $modelo
 * @property string|null $tipo
 * @property string|null $potencia
 *
 * @property Camioneros[] $camionerosDnis
 * @property Conducir[] $conducirs
 */
class Camiones extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'camiones';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['matricula'], 'required'],
            [['matricula'], 'string', 'max' => 7],
            [['modelo', 'tipo', 'potencia'], 'string', 'max' => 50],
            [['matricula'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'matricula' => 'Matricula',
            'modelo' => 'Modelo',
            'tipo' => 'Tipo',
            'potencia' => 'Potencia',
        ];
    }

    /**
     * Gets query for [[CamionerosDnis]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCamionerosDnis()
    {
        return $this->hasMany(Camioneros::className(), ['dni' => 'camioneros_dni'])->viaTable('conducir', ['camiones_matricula' => 'matricula']);
    }

    /**
     * Gets query for [[Conducirs]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getConducirs()
    {
        return $this->hasMany(Conducir::className(), ['camiones_matricula' => 'matricula']);
    }
}

controllers/CamionesController.php
<?php

namespace app\controllers;

use app\models\Camiones;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * CamionesController implements the CRUD actions for Camiones model.
 */
class CamionesController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Camiones models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Camiones::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'matricula' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Camiones model.
     * @param string $matricula Matricula
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($matricula)
    {
        return $this->render('view', [
            'model' => $this->findModel($matricula),
        ]);
    }

    /**
     * Creates a new Camiones model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Camiones();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'matricula' => $model->matricula]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Camiones model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $matricula Matricula
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($matricula)
    {
        $model = $this->findModel($matricula);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'matricula' => $model->matricula]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Camiones model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $matricula Matricula
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($matricula)
    {
        $this->findModel($matricula)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Camiones model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $matricula Matricula
     * @return Camiones the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($matricula)
    {
        if (($model = Camiones::findOne($matricula)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

views/camiones/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Camiones */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="camiones-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'matricula')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'modelo')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'tipo')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'potencia')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/camiones/create.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Camiones */

$this->title = 'Create Camiones';
$this->params['breadcrumbs'][] = ['label' => 'Camiones', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="camiones-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/camiones/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Camiones';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="camiones-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Create Camiones', ['create'], ['class' => 'btn btn-success']) ?>
    </p>


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'matricula',
            'modelo',
            'tipo',
            'potencia',

            ['class' => 'yii\grid\ActionColumn',
                'template' => '{view} {update} {delete}',  //orden de los botones    
                'buttons' => [
                'view' => function($url,$model){
                return Html::a('<i class="fas fa-eye"></i>',['camiones/view','matricula' => $model->matricula]);
                },
                'update' => function($url,$model){
                    return Html::a('<i class="fas fa-pencil-alt"></i>',['camiones/update','matricula' => $model->matricula]);
                    },
                'delete' => function($url,$model){
                    return Html::a('<i class="fas fa-trash-alt"></i>',['camiones/delete','matricula' => $model->matricula],
                            ['data' => ['confirm' => 'Are you sure you want to delete this item?',
                                        'method' => 'post']]);
                    },           
                            
            ]],
        ],
    ]); ?>


</div>

views/camiones/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Camiones */

$this->title = 'Update Camiones: ' . $model->matricula;
$this->params['breadcrumbs'][] = ['label' => 'Camiones', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->matricula, 'url' => ['view', 'matricula' => $model->matricula]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="camiones-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/camiones/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Camiones */

$this->title = $model->matricula;
$this->params['breadcrumbs'][] = ['label' => 'Camiones', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="camiones-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'matricula' => $model->matricula], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'matricula' => $model->matricula], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'matricula',
            'modelo',
            'tipo',
            'potencia',
        ],
    ]) ?>

</div>